## org.omg.CORBA
Class StringDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.StringDefPOA
                  |
                  +--org.omg.CORBA.StringDefPOATie

All Implemented Interfaces:
  IDLTypeOperations, InvokeHandler, IRObjectOperations, StringDefOperations

public class StringDefPOATie
extends StringDefPOA

A StringDef represents an IDL bounded string type. The unbounded string type is represented as a PrimitiveDef. As string types are anonymous, this interface is not derived from TypedefDef or Contained.

Constructor Summary
`StringDefPOATie(StringDefOperations tieObject)` Constructor
`StringDefPOATie(StringDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` `_default_POA()` _default_POA method
`StringDefOperations` `_delegate()` Get the delegate
`void` `_delegate(StringDefOperations delegate_)` Set the delegate
`int` `bound()` Read accessor for bound attribute
`void` `bound(int value)` Write accessor for bound attribute
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`void` `destroy()` Operation destroy
`TypeCode` `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.StringDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringDefPOATie

    public StringDefPOATie(StringDefOperations tieObject)

  Constructor

### StringDefPOATie

    public StringDefPOATie(StringDefOperations tieObject,
                           POA poa)

  Constructor

Method Detail

### _delegate

    public StringDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(StringDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### bound

    public int bound()

  Read accessor for bound attribute

### bound

    public void bound(int value)

  Write accessor for bound attribute

### type

    public TypeCode type()

  Read accessor for type attribute

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy